%define upstream_name	 YAML-AppConfig
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Manage configuration files with YAML and variable reference
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl-YAML-parser
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML) >= 0.380.0
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-YAML-parser
BuildArch:  noarch

%description
YAML::AppConfig extends the work done in Config::YAML and YAML::ConfigFile to
allow more flexiable configuration files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/*/*
%{perl_vendorlib}/YAML

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.190.0-5.mga6
+ Revision: 1036180
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.190.0-4.mga6
+ Revision: 944762
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-3.mga5
+ Revision: 742742
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-2.mga5
+ Revision: 686989
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 jquelin <jquelin> 0.190.0-1.mga5
+ Revision: 616408
- update to 0.19

* Thu Dec 19 2013 sander85 <sander85> 0.160.0-6.mga4
+ Revision: 558958
- Fix tests (pathes from Debian)

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-4.mga3
+ Revision: 375299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 guillomovitch <guillomovitch> 0.160.0-3.mga2
+ Revision: 172218
- fix warnings (cpan bug #65539)

* Sat Jan 22 2011 jquelin <jquelin> 0.160.0-2.mga1
+ Revision: 32788
- mageia rebuild
- imported package perl-YAML-AppConfig


* Thu Sep 23 2010 Funda Wang <fwang@mandriva.org> 0.160.0-2mdv2011.0
+ Revision: 580731
- rebuild

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.0
+ Revision: 401809
- rebuild using %%perl_convert_version
- fixed license field

* Sun Jan 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-8mdv2009.1
+ Revision: 324627
- requires any perl YAML parser
- fix dependencies

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.16-6mdv2009.0
+ Revision: 258886
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.16-5mdv2009.0
+ Revision: 246793
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-3mdv2008.1
+ Revision: 133737
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Oct 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-2mdv2007.0
- buildrequires perl(YAML)

* Tue Oct 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2007.0
- first mdv release

